remmina (1.4.43+dfsg-0ubuntu0.24.04.2) noble-security; urgency=medium

  * debian/patches/lp2161512.patch: Fix bug with pre and post connect
    commands in src/remmina_ext_exec.c. (LP: #2161512)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Jul 2026 09:24:14 -0400

remmina (1.4.43+dfsg-0ubuntu0.24.04.1) noble-security; urgency=medium

  * Updated to upstream 1.4.43 to match freerdp3 security update.
    (LP: #2160301)
    - debian/patches/*: sync with 1.4.43+dfsg-1 package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Jul 2026 11:34:00 -0400

remmina (1.4.35+dfsg-0ubuntu5.2) noble; urgency=medium

  * Enable smartcard logon over RDP; upstream cherry-pick (LP: #2142615) 
    - d/p/lp2142615-enable-smartcard-logon.patch

 -- Alex Ramírez <alex.ramirez@canonical.com>  Tue, 31 Mar 2026 16:53:57 -0400

remmina (1.4.35+dfsg-0ubuntu5.1) noble; urgency=medium
  * d/p/lp-2111952-01-
    skip_credential_prompt_if_already_saved.patch: Do not prompt user for
    credentials if they are already saved. Thanks to Hiroyuki Tanaka
    <myheroyuki@outlook.com>. Closes LP: #2111952.

 -- Ankush Pathak <ankush.pathak@canonical.com>  Wed, 04 Jun 2025 17:00:44 +0530

remmina (1.4.35+dfsg-0ubuntu5) noble; urgency=medium

  * debian/patches/git_freerdp3_crash.patch:
    - cherry pick a fix from upstream for RDP connections segfaulting
      with the newest freerdp3 version (lp: #2062177)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Apr 2024 13:51:29 +0200

remmina (1.4.35+dfsg-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:04 +0200

remmina (1.4.35+dfsg-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:09:36 +0000

remmina (1.4.35+dfsg-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:56:31 +1300

remmina (1.4.35+dfsg-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Build with freerdp3 (LP: #2057842)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 17:05:18 -0400

remmina (1.4.34+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: new b-deps added
  * debian/rules: opt-off even tips and stats

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Feb 2024 18:25:58 +0100

remmina (1.4.32+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 07 Jan 2024 16:21:00 +0100

remmina (1.4.31+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Jul 2023 16:50:16 +0200

remmina (1.4.31+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/remmina.docs: add CHANGELOG.md to documentation
    (Closes: #1014105)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Jun 2023 13:16:45 +0200

remmina (1.4.30+dfsg-2) experimental; urgency=medium

  * debian/control:
    - bump of libsoup and webkit2gtk versions (Closes: #1021211)
    - re-enable Spice plugin

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 20 May 2023 12:00:29 +0200

remmina (1.4.30+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 12 May 2023 15:10:26 +0200

remmina (1.4.29+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.1 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 16:03:33 +0100

remmina (1.4.27+dfsg-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Temporarily stop building the spice plugin
    to prevent remmina from using libsoup2.4 &
    libsoup3 simultaneously (Closes: #1015147)
  * Add minimal debian/gbp.conf

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 29 Jul 2022 22:09:14 +0200

remmina (1.4.27+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jun 2022 20:52:05 +0200

remmina (1.4.26+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/: Python plugin support added

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 22 May 2022 21:14:19 +0200

remmina (1.4.25+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1008227)
    - debian/patches/: patchset dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Mar 2022 20:03:04 +0100

remmina (1.4.24+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_crash_when_closing_connection.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Feb 2022 14:38:09 +0100

remmina (1.4.24+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 13 Feb 2022 18:09:34 +0100

remmina (1.4.23+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: pyhoca-cli b-dep removed (not needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Jan 2022 22:31:22 +0100

remmina (1.4.22+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/: X2Go plugin support added (Closes: #998891)
    - debian/patches/: patchset updated
      - 0002-Fix_division_by_zero.patch dropped (merged upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Dec 2021 14:22:01 +0100

remmina (1.4.21+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0002-Fix_division_by_zero.patch added
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 01 Nov 2021 15:16:52 +0100

remmina (1.4.20+dfsg-4) unstable; urgency=medium

  * debian/control: drop NX and XDMCP refs in Suggests

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 25 Aug 2021 20:44:37 +0200

remmina (1.4.20+dfsg-3) unstable; urgency=medium

  * debian/control: drop references to NX and XDMCP (Closes: #992769)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 22:37:32 +0200

remmina (1.4.20+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 22:18:46 +0200

remmina (1.4.20+dfsg-1) experimental; urgency=medium

  [ Antenore Gatta ]
  * Description clarification for the WWW plugin

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/NEWS: new entry added
  * debian/: NX plugin files dropped
  * debian/control: NX and XDMCP plugins dropped
  * debian/remmina-plugin-xdmcp.install: file dropped
  * debian/remmina-plugin-exec.install: st library dropped
  * debian/README.Debian: obsolete file dropped
  * debian/clean: obsolete file dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 01 Aug 2021 17:06:23 +0200

remmina (1.4.18+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Jun 2021 01:03:09 +0200

remmina (1.4.17+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0001-Fix_manpages.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 May 2021 23:40:58 +0200

remmina (1.4.16+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 20 May 2021 23:03:38 +0200

remmina (1.4.13+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/control: missing b-deps added

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 30 Mar 2021 22:49:53 +0200

remmina (1.4.12+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/: patchset dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 04 Mar 2021 22:03:38 +0100

remmina (1.4.11+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Revert-rdp-event-Fix-wheel-value-for-GDK_SCROLL_DOWN.patch
    added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 10 Feb 2021 22:46:17 +0100

remmina (1.4.11+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 03 Feb 2021 22:51:51 +0100

remmina (1.4.10+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #969391)
  * debian/control: freerdp2-dev version bump 2.0.0 -> 2.2.0
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 11 Dec 2020 22:20:31 +0100

remmina (1.4.8+dfsg-2) unstable; urgency=medium

  * debian/rules: set NEWS on vendor

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 23 Oct 2020 20:31:48 +0200

remmina (1.4.8+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 17 Aug 2020 20:51:05 +0200

remmina (1.4.7+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 05 Jul 2020 20:35:20 +0200

remmina (1.4.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 23 Jun 2020 20:26:48 +0200

remmina (1.4.6+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (merged upstream)
  * debian/: Kiosk plugin split from main binary package
  * debian/rules: drop 'News' dialog on startup (Closes: #961501)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 13 Jun 2020 00:13:33 +0200

remmina (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0001-Update_appdata.patch added
  * debian/control: debhelper bump 12 -> 13

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 25 May 2020 23:02:45 +0200

remmina (1.4.3+dfsg-2) unstable; urgency=medium

  * debian/rules: drop useless LDFLAGS definition

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 20 Apr 2020 22:56:58 +0200

remmina (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Apr 2020 15:34:48 +0200

remmina (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (merged upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 11 Apr 2020 20:31:07 +0200

remmina (1.4.1+dfsg-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fixing-setting-array-for-VNCI.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 28 Mar 2020 14:03:19 +0100

remmina (1.4.1+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset added
    - 0001-SFTP-with-tunnel-fixes.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 25 Mar 2020 22:39:17 +0100

remmina (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 24 Feb 2020 14:25:17 +0100

remmina (1.4.0+dfsg-2) unstable; urgency=medium

  * debian/control:
    - remmina-plugin-www added to Suggests
    - remmina-plugin-kwallet added to Suggests

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 24 Feb 2020 14:16:32 +0100

remmina (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/: WWW plugin added
  * debian/control: S-V bump 4.4.1 -> 4.5.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 23 Feb 2020 12:45:37 +0100

remmina (1.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (applied upstream)
  * debian/control:
    - S-V bump 4.4.0 -> 4.4.1 (no changes needed)
    - RRR set
    - libcups2-dev added to B-D
  * debian/watch: github -> gitlab

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 10 Jan 2020 14:40:49 +0100

remmina (1.3.6+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_desktop_files.patch added
    - 0002-Added_manpages.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 05 Sep 2019 23:11:07 +0200

remmina (1.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (applied upstream)
    - debian/: telepathy plugin completely dropped
    - debian/: kwallet plugin added
  * debian/: debhelper bump 11 -> 12
  * debian/control:
    - S-V bump 4.3.0 -> 4.4.0 (no changes needed)
    - move homepage URL to https://
    - add libsodium-dev to b-deps
  * debian/remmina.install: add missing installation paths
  * debian/remmina-plugin-exec.install: add neglected st plugin

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 27 Aug 2019 23:16:31 +0200

remmina (1.3.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 15:35:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog remmina-common`.
